
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%{?scl:%scl_package %{?scl_prefix}jboss-iiop-client} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.1.Final-redhat-1

Name:		%{?scl_prefix}jboss-iiop-client
Summary:	Artifacts from jboss-iiop-client
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jboss-iiop-client-1.0.1.Final-redhat-1-scm-sources.zip
Source102: jboss-iiop-client-1.0.1.Final-redhat-1-javadoc.jar
Source103: jboss-iiop-client-1.0.1.Final-redhat-1-sources.jar
Source104: jboss-iiop-client-1.0.1.Final-redhat-1.jar
Source105: jboss-iiop-client-1.0.1.Final-redhat-1.pom
Source106: jboss-iiop-client-1.0.1.Final-redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://git.app.eng.bos.redhat.com/git/jbossas/jboss-iiop-client.git
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
Client library for EJB applications working against JBoss AS using the IIOP protocol

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-iiop-client
Group:          Development/Documentation


%description javadoc
Javadoc for JBoss IIOP Client.
%endif

%prep

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/jboss-iiop-client-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-iiop-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && ln -s jboss-iiop-client-%{namedversion}.jar jboss-iiop-client.jar)
(cd %{buildroot}%{_javadir} && ln -s jboss-iiop-client-%{namedversion}-sources.jar jboss-iiop-client-sources.jar)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jboss-iiop-client-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/jboss-iiop-client-%{namedversion} %{_javadir}/jbossas-fordev/jboss-iiop-client-%{namedversion}-javadoc.jar
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s jboss-iiop-client-%{namedversion} jboss-iiop-client)
%endif

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-iiop-client
%{_javadocdir}/jboss-iiop-client-%{namedversion}
%endif


%changelog
* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Jul 25 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.0.0-6.Final_redhat_4.1
- EAP 7 build

* Tue Dec 09 2014 Hui Wang <huwang@redhat.com> - 1.0.0-5.Final_redhat_3.1
- OSGI fix rebuild

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-4.Final_redhat_2.1
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.0-3.Final_redhat_2.1
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_2.1.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_1.1.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_1.1
- Rebuild for RHEL-5

* Fri Mar 16 2012 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- New wrapper
- Fix installing path
- Fix release tag

* Thu Feb 23 2012 Weinan Li <weli@redhat.com> - 1.0.0.Final_redhat_1.3
- Fix version number

* Thu Feb 23 2012 Weinan Li <weli@redhat.com> - 1.0.0.Final_redhat_1.2
- Upgrade to 1.0.0.Final
 
* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 7.1.0-0.1.Beta2_redhat_1.1
- Wrap MEAD build for EAP 6
